package com.zd.exam.service;

import com.zd.exam.domain.ElExam;
import com.zd.exam.domain.ElExamCertRelation;
import com.zd.exam.domain.vo.ElExamVO;

import java.util.List;

/**
 * 课程(ElExam)表服务接口
 *
 * @author liubo
 * @since 2021-08-31 09:09:15
 */
public interface ElExamService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    ElExam queryById(Long id);

    /**
     * 查询多条数据
     *
     * @param offset 查询起始位置
     * @param limit  查询条数
     * @return 对象列表
     */
    List<ElExam> queryAllByLimit(int offset, int limit);

    /**
     * 新增数据
     *
     * @param elExam 实例对象
     * @return 实例对象
     */
    int insert(ElExam elExam);

    /**
     * 修改数据
     *
     * @param elExam 实例对象
     * @return 实例对象
     */
    int update(ElExam elExam);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Long id);

    List<ElExam> queryList(ElExamVO examvo);

    int deleteByIds(List<Long> ids);

    List<ElExam> queryMyExamList(ElExam exam);

    List<ElExamCertRelation> queryCertById(ElExam exam);

    void saveCertById(ElExam exam);

    void saveSafeTrainById(ElExam exam);
}
